## org.eclipse.emf.compare.match.metamodel
Interface MatchResourceSet

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  MatchResourceSetImpl

    public interface MatchResourceSet

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Resource Set'.

The following features are supported:

- `Match Models`
- `Unmatched Models`

See Also:
  `MatchPackage.getMatchResourceSet()`

Method Summary
`org.eclipse.emf.common.util.EList<MatchModel>` `getMatchModels()` Returns the value of the 'Match Models' containment reference list.
`org.eclipse.emf.common.util.EList<UnmatchModel>` `getUnmatchedModels()` Returns the value of the 'Unmatched Models' containment reference list.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getMatchModels

    org.eclipse.emf.common.util.EList<MatchModel> getMatchModels()

  Returns the value of the 'Match Models' containment reference list. The list contents are of type `MatchModel`.

  If the meaning of the 'Match Models' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Match Models' containment reference list.
  See Also:
    `MatchPackage.getMatchResourceSet_MatchModels()`

### getUnmatchedModels

    org.eclipse.emf.common.util.EList<UnmatchModel> getUnmatchedModels()

  Returns the value of the 'Unmatched Models' containment reference list. The list contents are of type `UnmatchModel`.

  If the meaning of the 'Unmatched Models' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Unmatched Models' containment reference list.
  See Also:
    `MatchPackage.getMatchResourceSet_UnmatchedModels()`

Copyright 2006 IBM Corporation and others. All Rights Reserved.